### Method

# Foundry DiagnosticBuilder end

#### Declaration [src]

    FoundryDiagnostic*
    foundry_diagnostic_builder_end (
      FoundryDiagnosticBuilder* self
    )

#### Description

No description available.

#### Return value

Type: `FoundryDiagnostic`

A `FoundryDiagnostic` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.